### Method

# Gio SocketClient set_enable_proxy

since: 2.26

#### Declaration

    void
    g_socket_client_set_enable_proxy (
      GSocketClient* client,
      gboolean enable
    )

#### Description

Sets whether or not `client` attempts to make connections via a proxy server. When enabled (the default), `GSocketClient` will use a `GProxyResolver` to determine if a proxy protocol such as SOCKS is needed, and automatically do the necessary proxy negotiation.

See also g_socket_client_set_proxy_resolver().

Available since: 2.26

Sets property | `Gio.SocketClient:enable-proxy`

#### Parameters

`enable`

  Type: `gboolean`

  Whether to enable proxies.